package com.muyu.cloud.mart.controller;

import com.muyu.cloud.mart.service.ConnectorService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Connector;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.mart.controller
 * @Project：cloud-mart
 * @name：ConnectorController
 * @Date：2024/8/26 10:22
 */
@RestController
@RequestMapping("connector")
public class ConnectorController {
    @Autowired
    private ConnectorService connectorService;

    /**
     * 接口列表
     * @param connector
     * @return
     */
    @PostMapping("findConnectorList")
    public Result findConnectorList(@RequestBody Connector connector){
        return connectorService.findConnectorList(connector);
    }
}
